## yubikey-manager-qt 1.2.4

=== requirements.txt ===
yubikey-manager==4.0.7

=== debian/changelog ===
yubikey-manager-qt (1.2.4-1) unstable; urgency=medium

  * Import new upstream version 1.2.4
  * Update build process to python3
  * Add metainfo by Luna <advaith.madhukar@gmail.com>, cherry-picked from
    upstream
  * Add upstream metadata file
  * Update dependency on python3-yubikey-manager to python3-ykman 4.0.7
    (package renamed, minimum version for InvalidPasswordError)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 09 Nov 2021 22:49:37 +0800

yubikey-manager-qt (1.2.3-1) unstable; urgency=medium

  * Initial upload to Debian (closes: #974423)

 -- Florian Schlichting <fsfs@debian.org>  Sun, 19 Sep 2021 21:35:22 +0800

=== debian/control ===
Source: yubikey-manager-qt
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Section: utils
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libffi-dev,
               libpcsclite-dev,
               libqt5svg5-dev,
               libssl-dev,
               qml-module-io-thp-pyotherside,
               qml-module-qt-labs-calendar,
               qml-module-qt-labs-platform,
               qml-module-qt-labs-settings,
               qml-module-qtquick-controls2,
               qml-module-qtquick-dialogs,
               qml-module-qtquick-layouts,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               swig
Homepage: https://developers.yubico.com/yubikey-manager-qt/
Vcs-Git: https://salsa.debian.org/auth-team/yubikey-manager-qt.git
Vcs-Browser: https://salsa.debian.org/auth-team/yubikey-manager-qt
Rules-Requires-Root: no

Package: yubikey-manager-qt
Architecture: any
Depends: libqt5svg5,
         pcscd,
         python3-ykman (>= 4.0.7),
         qml-module-io-thp-pyotherside,
         qml-module-qt-labs-calendar,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-platform,
         qml-module-qt-labs-settings,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libyubikey-udev
Suggests: yubikey-manager
Description: Graphical application for configuring a YubiKey
 YubiKeys are USB tokens that act like keyboards and generate one-time
 or static passwords.
 .
 This is a graphical application for configuring a YubiKey over all
 transport modes and programming various types of credentials.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubikey-manager-qt/Releases/ yubikey-manager-qt-(.*)\.tar\.gz

## yubikey-manager-qt 1.2.5

=== requirements.txt ===
yubikey-manager==5.0.1

=== debian/changelog ===
yubikey-manager-qt (1.2.5-2) unstable; urgency=medium

  * Add ykman55.patch to fix compatibility with yubikey-manager 5.5.
    Thanks Sébastien Noel! (closes: 1099520)
  * Bump copyright years
  * Fix mismatch in lintian overrides
  * Declare compliance with Debian policy 4.7.2

 -- Florian Schlichting <fsfs@debian.org>  Mon, 17 Mar 2025 21:27:50 +0100

yubikey-manager-qt (1.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in
    d/yubikey-manager-qt.lintian-overrides on line 2-3.
  * Update standards version to 4.6.2, no changes needed.

  [ Florian Schlichting ]
  * Import new upstream version 1.2.5
  * Drop metainfo.patch, now in upstream release
  * Update d/copyright (metainfo file)
  * Bump versioned dependency on python3-ykman to 5.0.1

 -- Florian Schlichting <fsfs@debian.org>  Fri, 12 Jan 2024 22:31:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                libffi-dev,
                libpcsclite-dev,
@@ -31,7 +31,7 @@
 Architecture: any
 Depends: libqt5svg5,
          pcscd,
-         python3-ykman (>= 4.0.7),
+         python3-ykman (>= 5.0.1),
          qml-module-io-thp-pyotherside,
          qml-module-qt-labs-calendar,
          qml-module-qt-labs-folderlistmodel,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	QT_SELECT=5 dh $@
